Subject: bug#12829: 24.3.50; emacs_abort () called from w32proc.c:1128

From: Stephen Powell <[email-masked]>
Date: Fri, 09 Nov 2012 18:59:43 +0000

> Did this problem happen again since the original report?  If it does
> happen from time to time, I might ask you to run Emacs under GDB
> with a couple of breakpoints in strategic places, because usually
> when dead_child's handle is NULL, it is too late: the evidence of
> the crime is already forgotten.

Sure. It happens frequently but not always.

> If that GDB session is still active, can you show the entire list in
> deleted_pid_list?  The 'pp' command should be able to display it in
> a human-readable format.

(gdb) pp deleted_pid_list
(5144 5412)